# Query Corporation Cardholder

### **Request URI** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/holder/query-corporation`

### **Request Body**

&#x20;**Refer to :** [**common**](/issuing-card-api/common.md)

&#x20;**Biz\_data :**

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>holder_id</td><td>long</td><td>Corporation Holder ID</td></tr><tr><td>registration_country</td><td>string(2)</td><td>Registration Country</td></tr><tr><td>registration_code</td><td>string(32)</td><td>Registration Code</td></tr></tbody></table>

{% hint style="info" %}
Choose one of holder\_id and 【registration\_country、registration\_code】
{% endhint %}

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "timestamp": "2025-04-07 13:52:20",
    "format": "JSON",
    "version": "2.0",
    "random_key": "<generated_key>",
    "request_id": "4CDA337F-46dE-EA1e-ab88-c19AD5cc",
    "sign_type": "RSA",
    "biz_data": {
        "holder_id": "103007"
    }
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

<table><thead><tr><th width="249.94921875">Name</th><th width="153.68359375">Type</th><th>Description</th></tr></thead><tbody><tr><td>holder_id<mark style="color:red;">*</mark></td><td>long</td><td>Corporation Holder ID</td></tr><tr><td>contact_name<mark style="color:red;">*</mark></td><td>string</td><td>Contact Name</td></tr><tr><td>mobile<mark style="color:red;">*</mark></td><td>string</td><td><p>The whole mobile phone number.</p><p>Need to add an international area code</p></td></tr><tr><td>email<mark style="color:red;">*</mark></td><td>string</td><td>Email</td></tr><tr><td>corporation.corporation_id<mark style="color:red;">*</mark></td><td>long</td><td>Corporation ID</td></tr><tr><td>corporation.registration_name<mark style="color:red;">*</mark></td><td>string</td><td>Registration Name</td></tr><tr><td>corporation.registration_code<mark style="color:red;">*</mark></td><td>string</td><td>Registration Code</td></tr><tr><td>corporation.registration_date<mark style="color:red;">*</mark></td><td>string</td><td>Registration Date.Format: yyyy-MM-dd</td></tr><tr><td>corporation.vat_code</td><td>string</td><td>VAT Code</td></tr><tr><td>corporation.expires_on</td><td>string</td><td>Expires On.Format: yyyy-MM-dd</td></tr><tr><td>corporation.business_scope</td><td>string</td><td>Business Scope</td></tr><tr><td>corporation.registration_address.address_id<mark style="color:red;">*</mark></td><td>long</td><td>Address ID</td></tr><tr><td>corporation.registration_address.line<mark style="color:red;">*</mark></td><td>string</td><td>The first line of the address.</td></tr><tr><td>corporation.registration_address.line2</td><td>string</td><td>The second line of the address.</td></tr><tr><td>corporation.registration_address.postal_code<mark style="color:red;">*</mark></td><td>string</td><td>The address zip code, or postal code</td></tr><tr><td>corporation.registration_address.city_name<mark style="color:red;">*</mark></td><td>string</td><td>The address city</td></tr><tr><td>corporation.registration_address.state<mark style="color:red;">*</mark></td><td>string</td><td>The address state</td></tr><tr><td>corporation.registration_address.country_code<mark style="color:red;">*</mark></td><td>string</td><td>Country code</td></tr><tr><td>person.person_id<mark style="color:red;">*</mark></td><td>long</td><td>Person ID</td></tr><tr><td>person.first_name<mark style="color:red;">*</mark></td><td>string</td><td>Director.First Name</td></tr><tr><td>person.last_name<mark style="color:red;">*</mark></td><td>string</td><td>Director.Last Name</td></tr><tr><td>person.middle_name</td><td>string</td><td>Director.Middle Name</td></tr><tr><td>person.national_name</td><td>string</td><td>Director.National Name</td></tr><tr><td>person.id_type<mark style="color:red;">*</mark></td><td>integer</td><td>Director.<a href="/pages/5Tww9Noih9f2JzS5jWAo">ID Type</a></td></tr><tr><td>person.id_no<mark style="color:red;">*</mark></td><td>string</td><td>Director.ID Number</td></tr><tr><td>person.birthday<mark style="color:red;">*</mark></td><td>string</td><td>Director.Birthday</td></tr><tr><td>person.issuance_date</td><td>string</td><td><p>Director.Issuance Date</p><p>Format: yyyy-MM-dd</p></td></tr><tr><td>person.expires_on</td><td>string</td><td><p>Director.Expires On</p><p>Format: yyyy-MM-dd</p></td></tr><tr><td>person.citizenship_country<mark style="color:red;">*</mark></td><td>string</td><td>Director.Citizenship Country</td></tr><tr><td>person.address.address_id<mark style="color:red;">*</mark></td><td>long</td><td>Address ID</td></tr><tr><td>person.address.line<mark style="color:red;">*</mark></td><td>string</td><td>Director.The first line of the address.</td></tr><tr><td>person.address.line2</td><td>string</td><td>Director.The second line of the address.</td></tr><tr><td>person.address.postal_code<mark style="color:red;">*</mark></td><td>string</td><td>Director.The address zip code, or postal code</td></tr><tr><td>person.address.city_name<mark style="color:red;">*</mark></td><td>string</td><td>Director.The address city</td></tr><tr><td>person.address.state<mark style="color:red;">*</mark></td><td>string</td><td>Director.The address state</td></tr><tr><td>person.address.country_code<mark style="color:red;">*</mark></td><td>string</td><td>Director.Country code</td></tr><tr><td>create_time</td><td>string</td><td>Create Time</td></tr></tbody></table>

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": {
        "holder_id": 103007,
        "contact_name": "Test User",
        "mobile": "+8618102092707",
        "email": "z.yrckcialmy@ccdwqo.to",
        "status": 1,
        "corporation": {
            "corporation_id": 100817,
            "registration_name": "Test User INC",
            "registration_code": "360000201510032997",
            "registration_date": "2012-12-10",
            "vat_code": "vatcode12",
            "expires_on": "2032-12-10",
            "business_scope": "automation test records",
            "registration_address": {
                "address_id": 104344,
                "city_name": "West Lyda",
                "country_code": "MX",
                "postal_code": "48162-42",
                "state": "Virginia",
                "line": "line 1 line 1 line 1 line 1 ",
                "line2": "line 2 line 2 line 2 line 2 "
            }
        },
        "person": {
            "person_id": 103260,
            "last_name": "User",
            "first_name": "Test",
            "middle_name": null,
            "national_name": "rpc",
            "gender": 3,
            "citizenship_country": "MX",
            "birthday": "2021-12-09",
            "id_type": 2,
            "id_no": "360000200812043160",
            "issuance_date": "2012-12-10",
            "expires_on": "2032-12-10",
            "address": {
                "address_id": 104343,
                "city_name": "West Ronaldo",
                "country_code": "LR",
                "postal_code": "37993",
                "state": "Tennessee",
                "line": "line 1 line 1 line 1 line 1 ",
                "line2": "line 2 line 2 line 2 line 2 "
            }
        },
        "create_time": "2025-04-07 05:52:19"
    }
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/cardholder/query-corporation-cardholder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
